Subject: Re: [PATCH/RFC] powerpc: Add of_platform support for OHCI/Bigendian HC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 05 Nov 2006 09:15:16 +1100

On Sat, 2006-11-04 at 23:04 +0100, Sylvain Munaut wrote:

> Isn't it possible to specify "options" in the device tree rather than
> different names ?
> (just a though ...)
> It's just duplicating all that code doesn't look nice.

Well, he certainly doesn't need to different match lists.

He can just have both LE and BE in a single list and have probe()
routine go look at the property instead.

Ben.

> > +config USB_OHCI_HCD_PPC_OF
> > +	bool "OHCI support for PPC USB controller for OpenFirmware platform"
> > +	depends on USB_OHCI_HCD && PPC_OF
> > +	default y
> > +	select USB_OHCI_BIG_ENDIAN
> > +	select USB_OHCI_LITTLE_ENDIAN
> > +	---help---
> > +	  Enables support for the USB controller PowerPC OpenFirmware platform
> > +
> >   
> I know what benh said but do we really want to select both all the
> times. That adds
> quite an overhead to the accesses ...

What I said ws that I wanted them to be user-selectable options.

Ben.